Go Down

Topic: ESP8266 WIFI Shield - Switch from LUA to AT Commands (Read 1 time) previous topic - next topic

cblx5

Hi, 


Could someone please explain if I (naively) loaded  NODEMCU  on my ESP8266 wifi shield  can I revert it back to normal SDK firmware to run AT Commands ?



Background.

Bought a clone ESP8266  WIFI shield (UNO/MEGA)   with the 4 pin dip switch and references non existing website elecshop.ml .   Long story short it did not work properly on arrival,  contacted vendors and they sent NODEMCU flashing tool, this did not work too, but armed with this info, I downloaded latest NODEMCU and flashed the shield  and did not realise I would get  LUA.....   not AT command set.

So I am trying  to load SDK and AT using ESP8266 download tool (from Espressif) onto the shield,   but it always fails on SYNC !!   So the shield is never recognised.    I can reload NODEMCU without too many probs.   But I need the AT command set  not LUA.

Hardware  -   the shield is plugged into an UNO  which   ONLY   provides power.   I then communicate  with the ESP8266 via the shield debug port through an FTDI module to a PC.

Only have RXD, TXD and GND connected between  ESP8266 and FTDI.    I think all connection ok and NODEMCU works,  but as above cannot run ESP8266 download tool   beyond SYNC.

Thanks




BTW -  I posted this on ESP forums but my post is sitting a few days awaiting moderation.

 

Lennyz1988

#1
Oct 18, 2017, 12:06 pm Last Edit: Oct 18, 2017, 12:06 pm by Lennyz1988
Sure you can. You can always load firmware on your esp8266. I have no idea what shield you have but I am unsure why you would want to use AT-commands.

Just program the chip through the Arduino IDE.

If you want more help post pictures of the board and screenshots of errors you are getting. I cannot guess what the errors are or what commands your are giving it.

cblx5

Hi L,

I know you can ...  but I cannot load the SDK/AT   firmware at the moment.


Please accept that I need AT commands as all my libraries use AT commands, so I do  need to load the SDK/AT firmware.

I attach my setup in photo.    As I posted  I cannot get past the SYNC in using ESP8266 V3.6.10 download tool (from Espressif).   No code involved as yet.

So I am looking for tips that I might have overlooked.

Thanks


cblx5

Hi,

Got his working now.

The latest ESP down tool V 3.6.1  did not work.
But  found an earlier version  V 3.4.4 and that   did work !!!!!!!!!!!!!!!

I cannot explain why - but I now have AT commands on ESP12E

Thanks


rw950431

For the benefit of others do you have a link to the working version?

MosheB


cblx5

Hi,

It was attached to a post at Espressif forums.   I did not keep track where it was
as I was trying just about anything. 

As my ESP-01s had   SDK 1.5.4,  I tried an earlier download tool and it worked,  I then just looked for later and later versions until I reached V3.4.4

All were attachments in post at the forum.

I tried to upload the ZIP but got 'entity too large' error.



Go Up